﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;

namespace ControlContainer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            PrintTools();
        }

        private void PrintTools()
        {
            foreach (ToolBase tool in this.ultraToolbarsManager1.Tools)
            {
                this.richTextBox1.AppendText(tool.Key + "\n");
            }
            this.richTextBox1.AppendText("=====\n");
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            // the most explicit way to remove the instance tool
            ButtonTool myButton2 = this.ultraToolbarsManager1.Ribbon.Tabs[0].Groups[0].Tools["ButtonTool2"] as ButtonTool;
            this.ultraToolbarsManager1.Ribbon.Tabs[0].Groups[0].Tools.Remove(myButton2);
            PrintTools();
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            // toolbase is enough, no need to cast the object to a ButtonTool
            ToolBase toolToRemove = this.ultraToolbarsManager1.Tools["ButtonTool2"];
            this.ultraToolbarsManager1.Tools.Remove(toolToRemove);
            PrintTools();
        }
    }
}
